MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027986Open CASCADE[OCCT] OCCT:Visualizationpublic2016-10-20 11:302016-12-09 16:38
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027986: Visualization - AIS_InteractiveContext::SetLocation() does not update dynamic highlighting
DescriptionIt is expected that AIS_InteractiveContext::SetLocation() will handle all necessary modifications on displayed object to update its local transformation.

Unfortunately, this is not the case with dynamic highlighting - it remains with old transformation if display and highlight modes do not match.

The fix for 0026960 intended to solve the issue was incomplete.
Steps To ReproduceTest case 1 - global selection:
pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit View1
vaxo
vdisplay -dispMode 0 -highMode 1 b
vfit
vzoom 0.5
vmoveto 250 250
vsetlocation b 2 1 0
set aColor1 [vreadpixel 220 200 rgb name]
set aColor2 [vreadpixel 350 220 rgb name]
if { "$aColor1" != "BLACK" || "$aColor2" != "DARKTURQUOISE" } 
{ puts "Error: dynamic highlighting is not updated" }

This case is a regression introduced in OCCT 7.0.0 (OCCT 6.9.1 works correctly).

Test case 2 - local selection:
pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit View1
vaxo
vdisplay -dispMode 0 -highMode 1 b
vfit
vzoom 0.5
vselmode b 4 1
vmoveto 250 250
vsetlocation b 2 1 0

Access violation occurs.
The highlighting issues occur also on old OCCT versions.
TagsNo tags attached.
Test case numberbugs vis bug27986_1, bug27986_2
Attached Files

- Relationships
related to 0026960closedbugmaster Visualization, TKOpenGl - update transformation of dynamically highlighted presentation 

-  Notes
(0058914)
git (administrator)
2016-10-20 12:08

Branch CR27986 has been created by kgv.

SHA-1: be850e9e7fbbb6bfda8a682236998c5a93c6cf7a


Detailed log of new commits:

Author: kgv
Date: Thu Oct 20 12:07:54 2016 +0300

    0027986: Visualization - AIS_InteractiveContext::SetLocation() does not update dynamic highlighting
    
    AIS_InteractiveContext::SetLocation() - update HilightMode instead of DisplayMode.
    PrsMgr_PresentationManager::UpdateHighlightTrsf() - fix accessing NULL presentation.
(0058915)
kgv (developer)
2016-10-20 12:09

Patch is ready for review.
(0058984)
san (developer)
2016-10-23 16:07

Branch CR27986 reviewed without remarks, ready for testing.
(0059006)
git (administrator)
2016-10-24 11:58

Branch CR27986 has been updated forcibly by kgv.

SHA-1: 1d6ee5bca17884a59011c053e3deceeeda9cde8a
(0059068)
mkv (tester)
2016-10-25 12:18

Dear BugMaster,
Branch CR27986 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1d6ee5bca17884a59011c053e3deceeeda9cde8a

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1142

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27986-master-OCCT/Debian70-64/bugs/vis/bug27986_1.html [^]
http://occt-tests/CR27986-master-OCCT/Windows-64-VC10/bugs/vis/bug27986_1.html [^]
bugs vis bug27986_1: OK
http://occt-tests/CR27986-master-OCCT/Debian70-64/bugs/vis/bug27986_2.html [^]
http://occt-tests/CR27986-master-OCCT/Windows-64-VC10/bugs/vis/bug27986_2.html [^]
bugs vis bug27986_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91071416 / 90339234 [+0.81%]
Total CPU difference: 19302.13999999979 / 19232.329999999845 [+0.36%]
products component :
Total MEMORY difference: 30083569 / 30089650 [-0.02%]
Total CPU difference: 5278.759999999974 / 5340.149999999966 [-1.15%]

Testing on Windows:
occt component :
Total MEMORY difference: 57212718 / 57220230 [-0.01%]
Total CPU difference: 18216.37717089856 / 18211.026336598778 [+0.03%]
products component :
Total MEMORY difference: 21307634 / 21272088 [+0.17%]
Total CPU difference: 5310.898043999968 / 5194.536898099958 [+2.24%]

There are no differences in images found by testdiff.
(0059069)
mkv (tester)
2016-10-25 12:19

Dear BugMaster,
Branch CR27986 is TESTED.
(0059420)
git (administrator)
2016-10-28 21:37

Branch CR27986 has been deleted by kgv.

SHA-1: 1d6ee5bca17884a59011c053e3deceeeda9cde8a

- Related Changesets
occt: master 7bbccb5f
Timestamp: 2016-10-20 09:07:54
Author: kgv
Committer: apn
Details ] Diff ]
0027986: Visualization - AIS_InteractiveContext::SetLocation() does not update dynamic highlighting

AIS_InteractiveContext::SetLocation() - update HilightMode instead of DisplayMode.
PrsMgr_PresentationManager::UpdateHighlightTrsf() - fix accessing NULL presentation.
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
add - tests/bugs/vis/bug27986_1 Diff ] File ]
add - tests/bugs/vis/bug27986_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-20 11:30 kgv New Issue
2016-10-20 11:30 kgv Assigned To => kgv
2016-10-20 11:34 kgv Steps to Reproduce Updated View Revisions
2016-10-20 11:45 kgv Steps to Reproduce Updated View Revisions
2016-10-20 11:49 kgv Relationship added related to 0026960
2016-10-20 12:08 git Note Added: 0058914
2016-10-20 12:09 kgv Note Added: 0058915
2016-10-20 12:09 kgv Assigned To kgv => san
2016-10-20 12:09 kgv Status new => resolved
2016-10-20 12:12 kgv Description Updated View Revisions
2016-10-20 12:12 kgv Steps to Reproduce Updated View Revisions
2016-10-20 12:13 kgv Steps to Reproduce Updated View Revisions
2016-10-23 16:07 san Note Added: 0058984
2016-10-23 16:07 san Assigned To san => bugmaster
2016-10-23 16:07 san Status resolved => reviewed
2016-10-24 11:58 git Note Added: 0059006
2016-10-24 14:44 mkv Assigned To bugmaster => mkv
2016-10-25 12:18 mkv Note Added: 0059068
2016-10-25 12:19 mkv Note Added: 0059069
2016-10-25 12:19 mkv Assigned To mkv => bugmaster
2016-10-25 12:19 mkv Status reviewed => tested
2016-10-25 12:19 mkv Test case number => bugs vis bug27986_1, bug27986_2
2016-10-28 14:35 apn Changeset attached => occt master 7bbccb5f
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:37 git Note Added: 0059420
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker